# Parse_Node.h File Reference

`#include "ace/config-all.h"`
`#include "ace/DLL.h"`

Include dependency graph for Parse_Node.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Parse_Node
| Provide the base of the object hierarchy that defines the parse tree of Service Nodes. More...
class | ACE_Suspend_Node
| Suspend a Service Node. More...
class | ACE_Resume_Node
| Resume a Service Node. More...
class | ACE_Remove_Node
| Remove a Service Node. More...
class | ACE_Static_Node
| Handle a statically linked node. More...
class | ACE_Dynamic_Node
| Handle a dynamically linked node. More...
class | ACE_Stream_Node
| Handle a Stream. More...
class | ACE_Location_Node
| Keep track of where a shared library is located. More...
class | ACE_Object_Node
| Keeps track of the symbol name for a shared object. More...
class | ACE_Function_Node
| Keeps track of the symbol name of for a shared function. More...
class | ACE_Dummy_Node
| I forget why this is here... ;-). More...
class | ACE_Static_Function_Node
| Keeps track of the symbol name for a function that is not linked in from a DLL, but is statically linked with the application. More...

## Variables

ACE_Service_Config * | ace_this_svc

## Detailed Description

Id
  Parse_Node.h,v 4.32 2005/10/28 16:14:54 ossama Exp

Author:
  Doug Schmidt

## Variable Documentation

ACE_Service_Config* ace_this_svc

| Global variable used to communicate between the parser and the main program.